Index: wxastrocapture/wxScopeServer_Demo/wxScopeServer.cbp
===================================================================
--- wxastrocapture.orig/wxScopeServer_Demo/wxScopeServer.cbp
+++ wxastrocapture/wxScopeServer_Demo/wxScopeServer.cbp
@@ -246,13 +246,13 @@ Linux: gcc (GCC) 4.1.2
 				<Compiler>
 					<Add option="-Wall" />
 					<Add option="-g" />
-					<Add option="`wx-config --version=3.0 --toolkit=gtk3 --debug --cxxflags`" />
+					<Add option="`wx-config --version=3.2 --toolkit=gtk3 --debug --cxxflags`" />
 					<Add option="-DNOPCH" />
 					<Add option="-D__WXDEBUG__" />
 					<Add option="-D_DEBUG" />
 				</Compiler>
 				<Linker>
-					<Add option="`wx-config  --version=3.0 --toolkit=gtk3 --debug --libs`" />
+					<Add option="`wx-config  --version=3.2 --toolkit=gtk3 --debug --libs`" />
 				</Linker>
 			</Target>
 			<Target title="UX_Release">
@@ -263,11 +263,11 @@ Linux: gcc (GCC) 4.1.2
 				<Compiler>
 					<Add option="-O2" />
 					<Add option="-W" />
-					<Add option="`wx-config --version=3.0 --toolkit=gtk3 --cxxflags`" />
+					<Add option="`wx-config --version=3.2 --toolkit=gtk3 --cxxflags`" />
 					<Add option="-DNOPCH" />
 				</Compiler>
 				<Linker>
-					<Add option="`wx-config  --version=3.0 --toolkit=gtk3 --libs`" />
+					<Add option="`wx-config  --version=3.2 --toolkit=gtk3 --libs`" />
 				</Linker>
 			</Target>
 		</Build>
Index: wxastrocapture/wxWebcamDB.cbp
===================================================================
--- wxastrocapture.orig/wxWebcamDB.cbp
+++ wxastrocapture/wxWebcamDB.cbp
@@ -180,7 +180,7 @@
 				<Compiler>
 					<Add option="-Wall" />
 					<Add option="-g" />
-					<Add option="`wx-config --version=3.0 --toolkit=gtk3 --debug --cxxflags`" />
+					<Add option="`wx-config --version=3.2 --toolkit=gtk3 --debug --cxxflags`" />
 					<Add option="-Wno-ignored-qualifiers" />
 					<Add option="-DNOPCH" />
 					<Add option="-D__WXDEBUG__" />
@@ -189,7 +189,7 @@
 					<Add option="-D__WX__" />
 				</Compiler>
 				<Linker>
-					<Add option="`wx-config  --version=3.0 --toolkit=gtk3 --debug --libs`" />
+					<Add option="`wx-config  --version=3.2 --toolkit=gtk3 --debug --libs`" />
 					<Add library="usb" />
 				</Linker>
 			</Target>
@@ -202,7 +202,7 @@
 					<Add option="-Os" />
 					<Add option="-O2" />
 					<Add option="-W" />
-					<Add option="`wx-config --version=3.0 --toolkit=gtk3 --cxxflags`" />
+					<Add option="`wx-config --version=3.2 --toolkit=gtk3 --cxxflags`" />
 					<Add option="-Wno-ignored-qualifiers" />
 					<Add option="-DNOPCH" />
 					<Add option="-DNDEBUG" />
@@ -210,7 +210,7 @@
 				</Compiler>
 				<Linker>
 					<!-- <Add option="-s" />  not nice for -dbg package -->
-					<Add option="`wx-config  --version=3.0 --toolkit=gtk3 --libs`" />
+					<Add option="`wx-config  --version=3.2 --toolkit=gtk3 --libs`" />
 					<Add library="usb" />
 				</Linker>
 <!--
Index: wxastrocapture/wxWebcam/wxArtcam.cpp
===================================================================
--- wxastrocapture.orig/wxWebcam/wxArtcam.cpp
+++ wxastrocapture/wxWebcam/wxArtcam.cpp
@@ -731,8 +731,6 @@ void wxArtcam::CaptureHandling()
             }// if batchHandling
          }// is capturing into storage
 
-         wxPaintEvent    paintEvent; // call owner to redraw
-         paintEvent.SetId(WXAC_PEVENT_ID_LE);
          // calc histogram
          Histogram().ComputePivotDev(m_pArtSample->SampleYPtr(), m_pArtSample->SampleSizeY());
          Histogram().ComputeHist(m_pArtSample->SampleYPtr(), m_pArtSample->SampleSizeY());
@@ -765,7 +763,8 @@ void wxArtcam::CaptureHandling()
             ZoomRedraw(m_zoomfact);
          }
 
-         ::wxPostEvent(GetEventHandler(), paintEvent);
+	 Refresh();
+	 Update();
          // causes a paint event through the wx messaging system
       }// if not dropped
 
@@ -928,8 +927,6 @@ void wxArtcam::SetImageProperties(double
 
    if (!m_pArtSample) return;
 
-   wxPaintEvent    paintEvent; // call owner to redraw
-   paintEvent.SetId(WXAC_PEVENT_ID_LE);
    if (m_autoPoint) {
       // get auto values
       unsigned short p, vl, vh, m;
@@ -941,7 +938,8 @@ void wxArtcam::SetImageProperties(double
       if (m_liveImages->ImageOK()) {
          m_liveImages->ImagePtr()->SetData(m_pArtSample->DetachBMP()); // wxImage now owns the bitmap data
       }
-      ::wxPostEvent(GetEventHandler(), paintEvent);
+      Refresh();
+      Update();
       // causes a paint event through the wx messaging system
    }
 }
@@ -976,7 +974,6 @@ void wxArtcam::ZoomRedraw(double zoomFac
    int vir_w = int(size.x);
    int vir_h = int(size.y);
 
-   SetVirtualSizeHints(vir_w/10, vir_h/10, vir_w, vir_h);
    SetVirtualSize(vir_w,vir_h);
 
    // client size
Index: wxastrocapture/wxWebcam/wxWebcam.cpp
===================================================================
--- wxastrocapture.orig/wxWebcam/wxWebcam.cpp
+++ wxastrocapture/wxWebcam/wxWebcam.cpp
@@ -749,8 +749,6 @@ void wxWebcam::CaptureHandling()
       Histogram().ComputeHist(m_pWebSample->SampleBGRPtr(), m_pWebSample->SampleSizeBgr()/3);
 
       // Prepare to Paint the captured sample if in LE mode
-      wxPaintEvent    paintEvent; // call owner to redraw
-      paintEvent.SetId(WXAC_PEVENT_ID_LE);
 
       // manage images
       // get the right image (create a new if needed)
@@ -775,7 +773,8 @@ void wxWebcam::CaptureHandling()
          ZoomRedraw(m_zoomfact);
       }
 
-      ::wxPostEvent(GetEventHandler(), paintEvent);
+      Refresh();
+      Update();
       // causes a paint event through the wx messaging system
 
       // Restart cycle
@@ -1056,7 +1055,6 @@ void wxWebcam::ZoomRedraw(double zoomFac
    int vir_w = int(size.x);
    int vir_h = int(size.y);
 
-   SetVirtualSizeHints(vir_w/10, vir_h/10, vir_w, vir_h);
    SetVirtualSize(vir_w,vir_h);
 
    // client size
